Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.apps.cz.cio
Class FuncCompMessageException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--oracle.apps.cz.cio.FuncCompMessageException

All Implemented Interfaces:
  java.io.Serializable

Deprecated. this class is no longer necessary

public class FuncCompMessageException
extends java.lang.RuntimeException

FuncCompMessageException is designed to be thrown from a functional companion's autoConfigure() method code when the author of the companion wants to display a BENIGN message in a dialog box to the end user. Throwing this will cause the UI Server to commit the outermost transaction. To produce a fatal error message throw RuntimeException

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `RCS_ID` Deprecated.
`static boolean` | `RCS_ID_RECORDED` Deprecated.

Constructor Summary
`FuncCompMessageException(oracle.apps.cz.cio.IFunctionalCompanion fc, java.lang.String message)` Deprecated. Constructs the exception object.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### RCS_ID

    public static final java.lang.String RCS_ID

  Deprecated.

### RCS_ID_RECORDED

    public static final boolean RCS_ID_RECORDED

  Deprecated.

Constructor Detail

### FuncCompMessageException

    public FuncCompMessageException(oracle.apps.cz.cio.IFunctionalCompanion fc,
                                    java.lang.String message)

  Deprecated.
  Constructs the exception object.
Parameters:
  `fc` - the FunctionalCompanion from which exception is thrown, not null
  `message` - the message to be shown to the end user

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999, 2004, Oracle. All rights reserved. Oracle is a registered trademark of Oracle Corporation and/or its affiliates. Other names may be trademarks of their respective owners.